aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/busybox/busybox/busybox-ifplugd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/busybox/busybox/busybox-ifplugd.sh')
-rwxr-xr-xrecipes/busybox/busybox/busybox-ifplugd.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/recipes/busybox/busybox/busybox-ifplugd.sh b/recipes/busybox/busybox/busybox-ifplugd.sh
new file mode 100755
index 00000000..9ea40a88
--- /dev/null
+++ b/recipes/busybox/busybox/busybox-ifplugd.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+DAEMON=/usr/sbin/ifplugd
+NAME=ifplugd
+DESC="Busybox IFPLUG Server"
+ARGS="-i eth0"
+
+test -f $DAEMON || exit 1
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ /sbin/start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ /sbin/start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac